(* Time-stamp: <modified the 02/04/2019 (at 14:43) by Erwan Jahier> *)

type t = {
  mutable topo: string;
  mutable length: int;
  mutable verbose: int;
  mutable demon: Demon.t;
  mutable rif: bool;
  mutable seed: int;
  mutable ifi: bool;
  mutable gen_lutin: bool;
  mutable dummy_input: bool;
  
  mutable _args : (string * Arg.spec * string) list;
  mutable _user_man  : (string * string list) list; 
  mutable _hidden_man: (string * string list) list; 

  mutable _others : string list;
  mutable _margin : int;
}

val usage_msg : string -> string

val parse : string array -> t
